import es
import random
import os

#======================================================================================
#									Knife Mod
#======================================================================================
#								Start of Config
#======================================================================================

# Knife Sounds
#=================================================
# Make sure slashs are pointing / that way...
folder = 'sound/knifemod/'
# Syntax of list ( ['admin/join.mp3','admin/join1.mp3']
connect_sounds = ['knifemod/techno1.wav','knifemod/techno2.wav','knifemod/techno3.wav','knifemod/techno4.wav']
# Message when a player got knifed! (Message below will be: Player Kevin got knifed by Lirano!)
kmsg = 'got knifed'

# Knife Damage
#=================================================
#How much should the knife damage ? (0 = normal)
cutdamage = 200

# Download
#=================================================
# Makes script download disable if you want to use mani
enable_download = 1

#======================================================================================
#								End of Config
#======================================================================================
#						Do not touch anything down here!
#======================================================================================


sound_folder =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + folder


def load():
    if str(es.ServerVar("eventscripts_currentmap")) != "": 
        downloads()

def es_map_start(ev):
    downloads()

def downloads():
    if os.path.exists(sound_folder):
        for dlfile in os.listdir(sound_folder):
            es.stringtable('downloadables', sound_folder + dlfile)
    else:
        es.dbgmsg(0, "Error: %s doesn't exist" % sound_folder)

def player_hurt(ev):
	if ev['es_attackerweapon'] == 'weapon_knife':
		es.server.queuecmd('damage %s %s 32 %s'%(ev['userid'], cutdamage, ev['attacker']))
		
def player_death(ev):
	sound = random.choice(connect_sounds)
	if (ev['es_attackerweapon'] == 'weapon_knife'):
		es.emitsound('player', ev['userid'], sound, 1.0, 0.0)
		es.msg("#multi", "#green[KnifeMod] #lightgreenPlayer #default%s #lightgreen%s by #default%s!"%(ev['userid'], kmsg, ev['attacker']))